Page MenuHomePhabricator

Requesting access to Mwmaint1002, Stat1007 for Abijeet Patro
Closed, ResolvedPublicRequest

Description

Username: abi
Full name: Abijeet Patro
Public key:

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIL6AxLdtHiuDHXR1/55Bp2eJOxEQjkrGN6xftQP8jHYJ apatro@wikimedia.org

Reason: I am a software engineer working in the Language team. I need access to these servers for analytics and metrics.
Servers: Mwmaint1002, Stat1007

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform).
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not shared with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponsor for volunteers, manager for WMF staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • - Patchset for access request
  • - Contract expiry date for contractors indicated on task (if applicable) N/A

Details

Related Gerrit Patches:
operations/puppet : productionadmin: admin data and access for Abijeet Patro
operations/puppet : productionadmin: shell acct & analytics access for abi

Event Timeline

abi_ created this task.Aug 7 2019, 12:35 PM
Restricted Application added a project: Operations. · View Herald TranscriptAug 7 2019, 12:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a subscriber: Reedy.Aug 7 2019, 3:59 PM

Will need to get your manager to sign this off

colewhite triaged this task as Normal priority.Aug 7 2019, 11:27 PM
colewhite moved this task from Untriaged to Awaiting User Input on the SRE-Access-Requests board.
Arrbee added a comment.Aug 8 2019, 3:39 AM

I am Abijeet's manager. This is an approved request. Thanks.

abi_ updated the task description. (Show Details)Aug 8 2019, 7:42 AM
colewhite updated the task description. (Show Details)Aug 8 2019, 5:13 PM
colewhite updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.EditedAug 8 2019, 5:17 PM

Hi @abi_ may i ask what the part you are planning to run on mwmaint servers will be? It's less common to see that requested related to "analytics and metrics". Usually we see other servers being requested for that.

Also note that access is granted based on roles instead of host names. So that would be:

  • access to "statistics::private" servers
  • access to 'mediawiki::maintenance" servers

Change 529125 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] admin: admin data and access for Abijeet Patro

https://gerrit.wikimedia.org/r/529125

colewhite added a subscriber: colewhite.EditedAug 8 2019, 5:31 PM

Please indicate on this task which roles/groups you are requesting membership of.

A raw description of roles and groups can be found here: https://gerrit.wikimedia.org/r/plugins/gitiles/operations/puppet/+/production/modules/admin/data/data.yaml

A sub-selection of analytics-specific roles and groups can be found here: https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Groups

@RStallman-legalteam Would you mind confirming NDA on file for Abijeet?

@Arrbee From the Phabricator profile, it says that Abijeet is a contractor. If that is the case, would you please indicate on this task the end date of the contract?

Thanks in advance!

Arrbee added a comment.Aug 9 2019, 8:06 AM

@RStallman-legalteam Would you mind confirming NDA on file for Abijeet?
@Arrbee From the Phabricator profile, it says that Abijeet is a contractor. If that is the case, would you please indicate on this task the end date of the contract?
Thanks in advance!

Hi, Abijeet just got converted from a contractor to full-time staff. His official first day as FTE is 12-August which is a continuation from his contract. Hope this helps.

colewhite updated the task description. (Show Details)Aug 9 2019, 3:47 PM
CDanis added a subscriber: CDanis.

@RStallman-legalteam can you confirm NDA on file? Thanks!

CDanis claimed this task.Aug 13 2019, 8:41 PM

Oh, sorry @Arrbee I missed your update. I'll move forward with this tomorrow.

abi_ added a comment.Aug 14 2019, 8:20 AM

Hi @abi_ may i ask what the part you are planning to run on mwmaint servers will be? It's less common to see that requested related to "analytics and metrics". Usually we see other servers being requested for that.
Also note that access is granted based on roles instead of host names. So that would be:

  • access to "statistics::private" servers
  • access to 'mediawiki::maintenance" servers

@Amire80 currently uses these servers for analytics, hence requested access to these.

Are these two hosts not part of the statistics::private role? If not, I'm fine using whatever hosts that the analytics team generally has access to. From what I understand since I'll be be added to the statistics::private role, so I should have access to all the necessary hosts in case I need to shift to another host in the future.

@abi_ Can you clarify if you need access to private (user webrequest logs) data?

@abi_ Can you clarify if you need access to private (user webrequest logs) data?

Statistics about interlanguage links clicks and popular articles by country. The Language team needs this for being informed about the development of UniversalLanguageSelector and other products.

@abi_ Can you clarify if you need access to private (user webrequest logs) data?

Statistics about interlanguage links clicks and popular articles by country. The Language team needs this for being informed about the development of UniversalLanguageSelector and other products.

Is that a yes, then? :)

Sorry, I have no objection to granting such access; I'm simply trying to determine which groups are the appropriate ones.

@abi_ Can you clarify if you need access to private (user webrequest logs) data?

Statistics about interlanguage links clicks and popular articles by country. The Language team needs this for being informed about the development of UniversalLanguageSelector and other products.

Is that a yes, then? :)
Sorry, I have no objection to granting such access; I'm simply trying to determine which groups are the appropriate ones.

Sorry, I misread—I thought you were asking why :)

So yes, @abi_ needs it. He needs the same access as myself.

Reedy removed a subscriber: Reedy.Aug 15 2019, 4:42 PM
CDanis added a subscriber: Nuria.Aug 15 2019, 8:25 PM

Thanks @Amire80!

@abi_ Since Analytics access is extremely sensitive, please familiarize yourself with https://wikitech.wikimedia.org/wiki/Analytics/Data_access#User_responsibilities

(also cc @Nuria for a new Analytics user; AIUI Nuria is not required to sign off but wants to receive a notification)

Change 530448 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] admin: shell acct & analytics access for abi

https://gerrit.wikimedia.org/r/530448

Change 530448 merged by CDanis:
[operations/puppet@production] admin: shell acct & analytics access for abi

https://gerrit.wikimedia.org/r/530448

CDanis closed this task as Resolved.Aug 15 2019, 8:43 PM

Change 529125 abandoned by Cwhite:
admin: admin data and access for Abijeet Patro

https://gerrit.wikimedia.org/r/529125